Bug 988678 - Allow the use of Flask handlers in the main web UI
Allow the use of Flask handlers in the main web UI
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.14
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.15
: ---
Assigned To: Dan Callaghan
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 02:31 EDT by Nick Coghlan
Modified: 2013-10-02 22:29 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 22:29:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Coghlan 2013-07-26 02:31:49 EDT
TurboGears1 is showing its age, and Flask is a cleaner modern web framework that integrates nicely with SQL Alchemy.

Patches already on Gerrit:

http://gerrit.beaker-project.org/#/c/2086/
http://gerrit.beaker-project.org/#/c/2087/
http://gerrit.beaker-project.org/#/c/2088/
http://gerrit.beaker-project.org/#/c/2089/

This change also lays the foundation for adopting Twitter Bootstrap as the core of an improved front end implementation.
Comment 1 Nick Coghlan 2013-07-28 21:32:37 EDT
Dan pointed out that this change doesn't eliminate TurboGears, it just lays the foundation for new features to be implemented using Flask handlers instead of TurboGears controllers, as well as allowing existing TG controllers to be migrated to Flask handlers.

I have updated the RFE title accordingly.
Comment 2 wangjing 2013-07-29 20:52:40 EDT
there should be no specific features on web UI changed in this bug, right? what QE need to do is a full function test on web, right?
thanks!
Comment 3 Dan Callaghan 2013-07-29 21:05:10 EDT
(In reply to wangjing from comment #2)

Right, there will be no functional changes from this bug. We will just be rearranging things to allow us to start moving code from TurboGears to Flask progressively in future.
Comment 5 wangjing 2013-08-12 05:45:06 EDT
this bug would be tested totally by doing a full functional testing on WebUI.
Comment 7 Nick Coghlan 2013-10-02 22:29:57 EDT
Beaker 0.15 has been released.

Note You need to log in before you can comment on or make changes to this bug.